%define upstream_name    File-Flat
%define upstream_version 1.07

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Perl module that implements a flat filesystem 
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/E/ET/ETHER/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Cwd)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Copy)
BuildRequires: perl(File::Copy::Recursive) >= 0.350.0
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Remove) >= 0.380.0
BuildRequires: perl(File::Spec) >= 0.850.0
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(File::Temp) >= 0.170.0
BuildRequires: perl(IO::File)
BuildRequires: perl(Test::ClassAPI) >= 1.40.0
BuildRequires: perl(Test::More) >= 0.470.0
BuildRequires: perl(prefork) >= 0.20.0
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch:  noarch

Requires:   perl-prefork >= 0.02
%description
File::Flat implements a flat filesystem. A flat filesystem is a
filesystem in which directories do not exist. It provides an abstraction
over any normal filesystem which makes it appear as if directories do
not exist. In effect, it will automatically create directories as
needed. This is create for things like install scripts and such, as you
never need to worry about the existence of directories, just write to a
file, no matter where it is.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc CONTRIBUTING Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{perl_vendorlib}/File/Flat.pm
%{_mandir}/*/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.70.0-3.mga10
+ Revision: 2209497
- Mageia 10 Mass Rebuild

* Wed Mar 23 2022 umeabot <umeabot> 1.70.0-2.mga9
+ Revision: 1820338
- Mageia 9 Mass Rebuild

* Tue Aug 25 2020 tv <tv> 1.70.0-1.mga8
+ Revision: 1618822
- update to 1.07

* Sat Aug 01 2020 tv <tv> 1.60.0-1.mga8
+ Revision: 1610092
- update to 1.06

* Fri Feb 14 2020 umeabot <umeabot> 1.50.0-2.mga8
+ Revision: 1521730
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Sun Dec 30 2018 tv <tv> 1.50.0-1.mga7
+ Revision: 1346966
- new release

* Thu Sep 20 2018 umeabot <umeabot> 1.40.0-10.mga7
+ Revision: 1283669
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 1.40.0-9.mga7
+ Revision: 1164322
- rebuild with fixed rpm for missing autodeps

* Wed Sep 27 2017 tv <tv> 1.40.0-8.mga7
+ Revision: 1160185
- add BR on perl(inc::Module::Install)

* Sun Jun 19 2016 pterjan <pterjan> 1.40.0-7.mga6
+ Revision: 1027305
- Rebuild for perl 5.22.2

* Tue Feb 02 2016 umeabot <umeabot> 1.40.0-6.mga6
+ Revision: 932215
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.40.0-5.mga5
+ Revision: 741489
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.40.0-4.mga5
+ Revision: 684729
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.40.0-3.mga4
+ Revision: 511533
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.40.0-2.mga3
+ Revision: 367249
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 25 2011 jquelin <jquelin> 1.40.0-1.mga1
+ Revision: 38547
- remove mdv macros
- mageia rebuild
- imported package perl-File-Flat


* Mon Aug 03 2009 Jérôme Quelin <jquelin@mandriva.org> 1.40.0-1mdv2010.0
+ Revision: 407690
- rebuild using %%perl_convert_version

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 1.04-2mdv2009.0
+ Revision: 268508
- rebuild early 2009.0 package (before pixel changes)

* Wed Apr 16 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.04-1mdv2009.0
+ Revision: 194851
- update to new version 1.04
- update to new version 1.04

* Tue Mar 04 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.03-1mdv2008.1
+ Revision: 178290
- update to new version 1.03

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Dec 12 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.02-1mdv2008.1
+ Revision: 118549
- new version


* Sat Mar 03 2007 Olivier Thauvin <nanardon@mandriva.org> 1.00-1mdv2007.0
+ Revision: 131670
- buildrequires
- 1.00
- 0.96
- Import perl-File-Flat

* Sat Sep 24 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.95-2mdk
- Add Requires on perl-prefork

* Fri Jul 15 2005 Oden Eriksson <oeriksson@mandriva.com> 0.95-1mdk
- initial Mandriva package

